v1.0.0
OpenAPI 3.1.0

Remove people from a manual segment

US region

Client Libraries

Remove people from a manual segment

You can remove users from a manual segment by ID. You are limited to 1000 customer IDs per request.

This endpoint requires people to have id attributes. If your workspace does not use id as an identifier, or you have not assigned people id values, you cannot remove people from manual segments using the API. Our user interface does not have this limitation. You can remove people from manual segments through the UI as a part of a campaign workflow.

NOTE: You cannot remove people from data-driven segments using the API. See our documentation on segments for more information about segments.

Path Parameters
  • segment_id
    Type: integerFormat: int32
    required

    The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API.

Query Parameters
  • id_type
    Type: stringenum

    The type of ids you want to use. All of the values in the ids array must be of this type. If you don't provide this parameter, we assume that the ids array contains id values.

    values
    • id
    • email
    • cio_id
Body
application/json

The IDs of people you want to remove from the segment.

  • ids
    Type: array string[] 1…1000
    required

    The customer IDs you want to remove from the segment.

Responses
  • 200

    A successful request returns an empty object response.

  • application/json
  • 401

    Unauthorized request. Make sure that you provided the right credentials.

Request Example for post/api/v1/segments/{segment_id}/remove_customers
curl 'https://track.customer.io/api/v1/segments/1/remove_customers?id_type=id' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "ids": [
    "customer_id1",
    "customer_id2"
  ]
}'
No Body